Bug 1348005 - Review Request: rubygem-bettercap - A complete, modular, portable and easily extensible MITM framework
Summary: Review Request: rubygem-bettercap - A complete, modular, portable and easily ...
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fabio Alessandro Locati
QA Contact: Fedora Extras Quality Assurance
URL: https://rubygems.org/gems/bettercap/
Whiteboard:
Depends On: 1123579 1348160 1348162 1348163 1348202 1348206 1370096 1370135 1370138 1370153 1370158
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-19 22:15 UTC by Germano Massullo
Modified: 2017-02-20 10:44 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-20 10:44:07 UTC


Attachments (Terms of Use)

Description Germano Massullo 2016-06-19 22:15:59 UTC
Description:
BetterCap is the state of the art, modular, portable and easily extensible
MITM framework featuring ARP, DNS and ICMP spoofing, sslstripping, credentials
harvesting and more.

Spec: https://fedorapeople.org/~germano/package_reviews/bettercap/rubygem-bettercap.spec

Source RPM: https://fedorapeople.org/~germano/package_reviews/bettercap/rubygem-bettercap-1.5.5-1.fc23.src.rpm

FAS name: germano

Comment 1 Germano Massullo 2016-06-20 11:06:51 UTC
There are many dependencies that are still missing. I will add their Review Request as soon as possible

Comment 2 Germano Massullo 2016-06-20 15:38:34 UTC
Removed prefix "rubygem-" because the package contains binaries of the application

Spec: https://germano.fedorapeople.org/package_reviews/bettercap/bettercap.spec

Source RPM: https://germano.fedorapeople.org/package_reviews/bettercap/bettercap-1.5.5-1.fc23.src.rpm

Comment 3 Germano Massullo 2016-06-20 17:08:27 UTC
Resuming rubygem- prefix due adding "Provides: bettercap" tag

Comment 5 Fabio Alessandro Locati 2017-01-23 10:01:50 UTC
Any updates on this?

Comment 6 Germano Massullo 2017-01-23 10:12:56 UTC
Hi Fabio, sadly and unfortunately, at the moment I am stuck on rubygem-celluloid-* packaging, since upstream split it in various pieces interconnected each other with git submodules. I have spoken with Vit Ondruch and he told me to ask upstream for suggestions on how to proceed, because the work is very hard as Vit said.
The e-mail I have to sent to upstream is still in a draft state.

Comment 7 Germano Massullo 2017-02-20 10:44:07 UTC
Read comment 9 and 12 of https://bugzilla.redhat.com/show_bug.cgi?id=1370096


Note You need to log in before you can comment on or make changes to this bug.